#
# spec file for package PackageKit-branding-openSUSE
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         build_openSUSE 1
%define         build_SLED 0

# Do not edit this auto generated file! Edit PackageKit-branding.spec.in.
Name:           PackageKit-branding-openSUSE
Version:        42.1
Release:        lp150.1.11
Summary:        Simple software installation management software -- openSUSE default configuration
License:        GPL-2.0+
Group:          System/Daemons
Url:            http://packagekit.org/
Source0:        COPYING
Source1:        PackageKit-branding-ZYpp.conf
# PATCH-FEATURE-OPENSUSE PackageKit-branding-vendor.patch vuntz@opensuse.org -- Update the Vendor.conf file with distro-specific data
Patch0:         PackageKit-branding-vendor.patch
# PATCH-FEATURE-OPENSUSE PackageKit-branding-default-config.patch vuntz@opensues.org -- Change some default configuration
Patch1:         PackageKit-branding-default-config.patch
BuildRequires:  PackageKit >= 1.0.1
# To be in sync with upstream defaults, do branding as a patch for upstream file.
# WARNING: As this package conflicts with PackageKit-branding-openSUSE, you cannot
#          reuse build root. You have to build in a clean build root every time!
BuildRequires:  PackageKit-branding-upstream >= 1.0.1
%define packagekit_version %(rpm -q --qf '%%{version}' PackageKit)
Requires:       PackageKit = %{packagekit_version}
Provides:       PackageKit-branding = %{packagekit_version}
Conflicts:      otherproviders(PackageKit-branding)
Supplements:    packageand(PackageKit:branding-openSUSE)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

This package provides the openSUSE default configuration for
PackageKit.

%prep
cp -a %{SOURCE0} .
cp -a %{_sysconfdir}/PackageKit/* .
%patch0
%patch1 -p1

%build

%install
install -d %{buildroot}%{_sysconfdir}/PackageKit
# Do the loop this way to make sure we don't forget about any configuration file
for conf in %{_sysconfdir}/PackageKit/*; do
    case "$conf" in
        %{_sysconfdir}/PackageKit/events)
            # skip this, it's not something we brand
            ;;
        *)
            install -m0644 `basename $conf` %{buildroot}%{_sysconfdir}/PackageKit/
            ;;
    esac
done
install -m0644 %{S:1} %{buildroot}%{_sysconfdir}/PackageKit/ZYpp.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%config(noreplace) %{_sysconfdir}/PackageKit/PackageKit.conf
%{_sysconfdir}/PackageKit/Vendor.conf
%config(noreplace) %{_sysconfdir}/PackageKit/ZYpp.conf

%changelog
* Mon Oct 12 2015 zaitor@opensuse.org
- Bump version to 42.1 for next version of openSUSE.
* Tue Oct 21 2014 dimstar@opensuse.org
- Rebase PackageKit-branding-default-config.patch for
  PackageKit 1.0.1.
* Wed Sep 10 2014 dimstar@opensuse.org
- Rebase PackageKit-branding-default-config.patch for
  PackageKit 0.9.6.
* Tue Apr 15 2014 zaitor@opensuse.org
- Bump version to 13.2 for next version of openSUSE.
* Mon Dec 23 2013 dimstar@opensuse.org
- Rebase PackageKit-branding-vendor.patch and
  PackageKit-branding-default-config.patch for PackageKit 0.8.14.
* Fri Oct  4 2013 dimstar@opensuse.org
- Do not package %%{_sysconfdir}/PackageKit/CommandNotFound.conf, as
  it unbranded and CNF is currently disabled in PackageKit.
* Mon Sep  9 2013 zaitor@opensuse.org
- Bump version to 13.1 for next version of openSUSE.
* Mon Mar  4 2013 dimstar@opensuse.org
- Disable WritePreparedUpdates: we do currently not support offline
  updates.
* Wed Jan 16 2013 dimstar@opensuse.org
- Rebase PackageKit-branding-default-config.patch against
  PackageKit 0.8.7.
* Mon Jan 14 2013 coolo@suse.com
- Update PackageKit-branding-vendor.patch: Disable ScanDesktop
  plugin, it takes forever at least on first startup:
  - ScanDesktopFiles=false
* Wed Jan  9 2013 aj@suse.de
- Bump version to 12.3 for next version of openSUSE
* Wed May 23 2012 vuntz@opensuse.org
- Bump version to 12.2, to prepare for next version of openSUSE.
* Wed Mar 14 2012 vuntz@opensuse.org
- Rebase PackageKit-branding-vendor.patch.
* Thu Oct 13 2011 vuntz@opensuse.org
- Remove %%{release} from the PackageKit versioned Requires, to not
  have to rebuild this package each time PackageKit rebuilds to
  keep it installable.
* Wed Jul  6 2011 vuntz@opensuse.org
- Bump version to 12.1.
- Add a Requires for PackageKit, since the branding package is
  useless without it.
- Update summary and description.
- Add Url tag.
* Fri May  6 2011 vuntz@opensuse.org
- Package %%{_sysconfdir}/PackageKit/CommandNotFound.conf again, as
  we build the command-not-found PackageKit utility again.
* Fri Feb 18 2011 vuntz@opensuse.org
- Add PackageKit-branding-ZYpp.conf that gets installed as
  /etc/PackageKit/ZYpp.conf: this can be used to change the
  PackgeKit behavior when handling updates.
* Fri Oct  8 2010 vuntz@opensuse.org
- Bump version to 11.4.
* Wed Oct  6 2010 vuntz@opensuse.org
- Update so that we can ignore some files from /etc/PackageKit that
  should not get branded, like /etc/PackageKit/events. This fixes
  the build.
* Thu May 13 2010 ro@suse.de
- rename changes template to changes.in again
* Sat Apr 10 2010 vuntz@opensuse.org
- Update after PackageKit change where we don't package the
  command-not-found utility: CommandNotFound.conf does not exist
  anymore.
* Fri Feb 12 2010 vuntz@opensuse.org
- New package, to correctly brand PackageKit. Fix bnc#471377.
- This is based on the PackageKit_release.patch patch we had in
  PackageKit.
